### Struct

# Gimp Matrix4

#### Description [src]

    struct GimpMatrix4 {
      None coeff;
    }

A four by four matrix.

###### Structure members

`coeff` | The coefficients.

#### Instance methods

###### gimp_matrix4_identity

Sets the matrix to the identity matrix.

Available since: 2.10.16

###### gimp_matrix4_mult

Multiplies two matrices and puts the result into the second one.

Available since: 2.10.16

###### gimp_matrix4_to_deg

No description available.

###### gimp_matrix4_transform_point

Transforms a point in 3D as specified by the transformation matrix.

Available since: 2.10.16